/*
#
#	Apple Macintosh Developer Technical Support
#
#	ModalList : Simple Modal Dialog and List Manager Sample Application
#
#	ModalList.h
#
#	Copyright  1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	
#			1.00 					10/89
#
#	Components:
#			ModalList.make			October 1, 1989
#			ModalList.h				October 1, 1989
#			ModalList.c				October 1, 1989
#			ModalList.r				October 1, 1989
#
#	ModalList is an example application that demonstrates
#	how to use the Dialog Manager and List Manager routines
#	together. It is not a good example of a sample application
#	but a great example of the use of lists in a dialog. The
#	default LDEF is used to display a 2 dimensional list of strings.
#	Each cell's string is initialized to represent it's position in the
#	list. The user can change these strings and search for a particular
#	setting. Once again this is not meant as an example application and
#	there are some features that are documented in the source listing
#	that you should pay close attention to inorder to understand how
#	this example works.
#
*/

#define cMinSize	32				/* application's minimum size (in K) */
#define cPrefSize	32				/* application's preferred size (in K) */

/* kSysEnvironsVersion is passed to SysEnvirons to tell it which version of the
** SysEnvRec we understand.
*/

#define	cSysEnvironsVersion		1

/* the modal dialog window and item resource id's
*/

#define	cDLOGID				256			/* DLOG resource ID */
#define	cOKOutlineItem		3			/* DITL ID for OK Outline item */
#define	cListItem			4			/* DITL ID for List item */

#define	cNoNilHiliteItem	5			/* DITL IDs for check box items */
#define	cUseSenseItem		6	
#define	cNoRectItem			7
#define	cNoExtendItem		8
#define	cNoDisjointItem		9
#define	cExtendDragItem		10
#define	cOnlyOneItem		11

#define	cTextItem			12			/* DITL ID for text edit item */
#define	cSetItem			13			/* DITL ID for misc buttons */
#define	cFindItem			14

/* the list dimensions
*/
#define	cListCols			16			/* cells */			
#define	cListRows			16			/* cells */
#define	cListCellWidth		96			/* pixels */
#define	cListCellHeight		16			/* pixels */

